using System;
class SudarBrojeva
{
    static void Main()
    {
        long b=0,k=1,cx=0,cy=0;
        int br,i=0,j;
        long x=long.Parse(Console.ReadLine());
        long y=long.Parse(Console.ReadLine());
        long[] n= new long[4];
        while(x>0 || y>0)
        {
            br=0;
            if(x>0 && y>0)
            {
                cx=x%10;
                cy=y%10;
            }
            else if(x<=0 && y>0)
            {
                cx=0;
                cy=y%10;
                br++;
            }
            else if(x>0 && y<=0)
            {
                cx=x%10;
                cy=0;
                br++;
            }
            if(cx<cy)
            {
                b+=cy*k;
            }
            else if(cx>cy)
            {
                b+=cx*k;
            }
            else if(cx==cy && br==0)
            {
                b+=(cx*k)+(cy*k*10);
                k*=10;
            }
            k*=10;
            if(k>=Math.Pow(10,8))
            {
                n[i]=b;
                b=0;
                k=1;
                i++;
            }
            y/=10;
            x/=10;
        }
        if(k!=1)
        {
            n[i]=b;
        }
        for(j=i; j>=0; j++)
        {
            Console.Write(n[j]);
        }
    }
}